import * as $dara from '@darabonba/typescript';
export declare class DescribeSpotPriceHistoryResponseBodySpotPricesSpotPriceType extends $dara.Model {
    instanceType?: string;
    ioOptimized?: string;
    networkType?: string;
    originPrice?: number;
    spotPrice?: number;
    timestamp?: string;
    zoneId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeSpotPriceHistoryResponseBodySpotPrices extends $dara.Model {
    spotPriceType?: DescribeSpotPriceHistoryResponseBodySpotPricesSpotPriceType[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeSpotPriceHistoryResponseBody extends $dara.Model {
    /**
     * @remarks
     * The instance type of the spot instance.
     *
     * @example
     * CNY
     */
    currency?: string;
    /**
     * @remarks
     * The network type of the spot instance.
     *
     * @example
     * 1000
     */
    nextOffset?: number;
    /**
     * @remarks
     * The instance type of the spot instance.
     *
     * @example
     * 473469C7-AA6F-4DC5-B3DB-A3DC0DE3C83E
     */
    requestId?: string;
    spotPrices?: DescribeSpotPriceHistoryResponseBodySpotPrices;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
